summaryrefslogtreecommitdiff
path: root/test-suite/standalone
diff options
context:
space:
mode:
authorAndy Wingo <wingo@pobox.com>2011-05-25 10:32:19 +0200
committerAndy Wingo <wingo@pobox.com>2011-05-25 10:32:19 +0200
commita099c8d971c1d5b32e00f25469b36ce45fd4d8c7 (patch)
tree350e16d9e9e01c95c366aa44ba31d03bf57ac83c /test-suite/standalone
parent9ec1573d2b9463043df79b9a2cb30acc6afaeaaa (diff)
parent7ad0737de9b7bbb5f4f938518b4905b526d13ca6 (diff)
downloadguile-a099c8d971c1d5b32e00f25469b36ce45fd4d8c7.tar.gz
Merge remote-tracking branch 'origin/stable-2.0'
Conflicts: libguile/procprop.c
Diffstat (limited to 'test-suite/standalone')
-rw-r--r--test-suite/standalone/Makefile.am6
-rwxr-xr-xtest-suite/standalone/test-import-order31
-rw-r--r--test-suite/standalone/test-import-order-a.scm4
-rw-r--r--test-suite/standalone/test-import-order-b.scm4
-rw-r--r--test-suite/standalone/test-import-order-c.scm4
-rw-r--r--test-suite/standalone/test-import-order-d.scm4
6 files changed, 53 insertions, 0 deletions
diff --git a/test-suite/standalone/Makefile.am b/test-suite/standalone/Makefile.am
index cf1fc4fe3..00655bd12 100644
--- a/test-suite/standalone/Makefile.am
+++ b/test-suite/standalone/Makefile.am
@@ -31,6 +31,7 @@ BUILT_SOURCES =
EXTRA_DIST =
TESTS_ENVIRONMENT = \
+ srcdir="$(srcdir)" \
builddir="$(builddir)" \
GUILE_AUTO_COMPILE=0 "${top_builddir}/meta/uninstalled-env"
@@ -75,6 +76,11 @@ TESTS += test-require-extension
check_SCRIPTS += test-guile-snarf
TESTS += test-guile-snarf
+check_SCRIPTS += test-import-order
+TESTS += test-import-order
+EXTRA_DIST += test-import-order-a.scm test-import-order-b.scm \
+ test-import-order-c.scm test-import-order-d.scm
+
# test-num2integral
test_num2integral_SOURCES = test-num2integral.c
test_num2integral_CFLAGS = ${test_cflags}
diff --git a/test-suite/standalone/test-import-order b/test-suite/standalone/test-import-order
new file mode 100755
index 000000000..8b51312a9
--- /dev/null
+++ b/test-suite/standalone/test-import-order
@@ -0,0 +1,31 @@
+#!/bin/sh
+exec guile -q -L "$srcdir" -s "$0" "$@"
+!#
+
+(define-module (base)
+ #:export (push! order))
+
+(define order '())
+(define (push!)
+ (set! order `(,@order ,(module-name (current-module)))))
+
+(define-module (test-1)
+ #:use-module (base)
+ #:use-module (test-import-order-a)
+ #:use-module (test-import-order-b))
+
+(use-modules (test-import-order-c) (test-import-order-d))
+
+(if (not (equal? order
+ '((test-import-order-a)
+ (test-import-order-b)
+ (test-import-order-c)
+ (test-import-order-d))))
+ (begin
+ (format (current-error-port) "Unexpected import order: ~a" order)
+ (exit 1))
+ (exit 0))
+
+;; Local Variables:
+;; mode: scheme
+;; End: \ No newline at end of file
diff --git a/test-suite/standalone/test-import-order-a.scm b/test-suite/standalone/test-import-order-a.scm
new file mode 100644
index 000000000..d6fa29def
--- /dev/null
+++ b/test-suite/standalone/test-import-order-a.scm
@@ -0,0 +1,4 @@
+(define-module (test-import-order-a)
+ #:use-module (base))
+
+(push!)
diff --git a/test-suite/standalone/test-import-order-b.scm b/test-suite/standalone/test-import-order-b.scm
new file mode 100644
index 000000000..bc41bdf9f
--- /dev/null
+++ b/test-suite/standalone/test-import-order-b.scm
@@ -0,0 +1,4 @@
+(define-module (test-import-order-b)
+ #:use-module (base))
+
+(push!)
diff --git a/test-suite/standalone/test-import-order-c.scm b/test-suite/standalone/test-import-order-c.scm
new file mode 100644
index 000000000..4b58c3d75
--- /dev/null
+++ b/test-suite/standalone/test-import-order-c.scm
@@ -0,0 +1,4 @@
+(define-module (test-import-order-c)
+ #:use-module (base))
+
+(push!)
diff --git a/test-suite/standalone/test-import-order-d.scm b/test-suite/standalone/test-import-order-d.scm
new file mode 100644
index 000000000..fb071be93
--- /dev/null
+++ b/test-suite/standalone/test-import-order-d.scm
@@ -0,0 +1,4 @@
+(define-module (test-import-order-d)
+ #:use-module (base))
+
+(push!)